Page MenuHomePhabricator

On [[Special:ExpandTemplates]], the "Input wikitext:" textarea should be resizable
Closed, ResolvedPublic

Description

On Special:ExpandTemplates, the "Input wikitext:" textarea should be resizable.

Rationale: this page is used by power users, and the texteara is way too small currently. For decent editing I have to copy-paste to and from my external editor...

If I recall correctly, it was resizable before the move to OOUI.

Event Timeline

Od1n created this task.Jan 28 2018, 11:05 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 28 2018, 11:05 PM

Thanks @Od1n for bringing this up, this seems counter-intuitive and not user-friendly. I don't know exactly what the original reason for this setting has been. It dates back to the earliest time of OOUI (before v0.2.0), my guess would be some browser quirks, especially in VE's dialogs with limited space available or following design thoughts.
Maybe @Jdforrester-WMF knows more?

  • Update a few mins later --

It assumably could break OOUI dialogs:

Today, I wouldn't put resize: none in place as default value in a user-interface lib. I see several options:

  1. Enable it only on Special:ExpandedTemplates
  2. Enable it on Special Pages in order not to induce issues with some weird TextInputWidget elsewhere
  3. Enable it generally for OOUI with exception of dialogs

Preferred scenario from my perspective would be 3) but I'd like to hear other's feedback before going into action.

From IRC conv with @Jdforrester-WMF:

James_F> Volker_E: I believe it broke IME input and as you highlighted, visually upsets dialogs.

@Amire80 @santhosh Could you shed some light on the IME functionality and if it is able to work with resizable textareas?

@Amire80 @santhosh Could you shed some light on the IME functionality and if it is able to work with resizable textareas?

If nothing else, it is for these inside VE.

Od1n removed a subscriber: Od1n.Feb 1 2018, 3:58 AM

I think we should just allow resizing.

In case of "breaking" dialogs, the user can just resize it back to "fix" it, and the dialog is not really broken anyway (it just has to be scrolled). In case of IME input, I think the worst thing that could happen is that the interface will not reposition itself? And anyway, the wikitext editor's textarea allows resizing and presumably IMEs work with it.

The only case where disallowing resizing is necessary is our 'autosize' text inputs, which already resize themselves to the size of their contents, and our code for them doesn't support the user resizing them (it will just resize it back).

Volker_E moved this task from Backlog to Next-up on the OOUI board.Feb 2 2018, 1:49 AM
Volker_E triaged this task as High priority.Feb 2 2018, 2:01 AM

Change 421831 had a related patch set uploaded (by Prtksxna; owner: Prtksxna):
[oojs/ui@master] MultilineTextInputWidget: Allow resize except for on autosize

https://gerrit.wikimedia.org/r/421831

Change 421831 merged by jenkins-bot:
[oojs/ui@master] MultilineTextInputWidget: Allow resize except for on autosize

https://gerrit.wikimedia.org/r/421831

Volker_E moved this task from Next-up to Reviewing on the OOUI board.Apr 5 2018, 7:00 PM
Volker_E moved this task from Reviewing to OOUI-0.26.2 on the OOUI board.
Volker_E edited projects, added OOUI (OOUI-0.26.2); removed OOUI.
Volker_E closed this task as Resolved.Apr 5 2018, 7:02 PM
Volker_E assigned this task to Prtksxna.

This has been resolved in OOUI v0.26.2 and will roll-out next week.